jQuery(document).ready(function($) {

	$('.' + wps_fb_import_export_data.prefix_dash + 'import-export').click(function(){

		// Clear all data

		$('#' + wps_fb_import_export_data.prefix_dash + 'import-export-modal .modal-body').html('');
		$('button[name="submit"]').hide();

		// Parse data

		if ( $('.' + wps_fb_import_export_data.prefix_dash + 'import-data').val() != '' ) {


			try {
				var import_data = $.parseJSON($('.' + wps_fb_import_export_data.prefix_dash + 'import-data').val());

				if ( import_data['from-plugin'] != 'firebar' ) {
					$('#' + wps_fb_import_export_data.prefix_dash + 'import-export-modal .modal-body').append('<p>Unable to import data. You can only import data from FireBar.</p>');
				$('button[name="submit"]').hide();
				} else {
					$('button[name="submit"]').show();

					// Format data to show user what will be added

					$('#' + wps_fb_import_export_data.prefix_dash + 'import-export-modal .modal-body').append('<p>Number of Optins detected: ' + import_data.data.length + '</p>');

					$('#' + wps_fb_import_export_data.prefix_dash + 'import-export-modal .modal-body').append('<ol></ol>');

					$.each(import_data.data, function(index, value){
						$('#' + wps_fb_import_export_data.prefix_dash + 'import-export-modal .modal-body ol').append('<li>' + value.name + '</li>');
					});
				}

			} catch (err) {
				$('#' + wps_fb_import_export_data.prefix_dash + 'import-export-modal .modal-body').append('<p>Unable to parse the data, please make sure you copied it correclty.</p>');
				$('button[name="submit"]').hide();
			}


		} else {
			$('#' + wps_fb_import_export_data.prefix_dash + 'import-export-modal .modal-body').append('<p>No data found. Make sure you import some data :)</p>');
			$('button[name="submit"]').hide();
		}

	});

	$('.' + wps_fb_import_export_data.prefix_dash + 'export-data').focus(function() {
	    var $this = $(this);
	    $this.select();

	    // Work around Chrome's little problem
	    $this.mouseup(function() {
	        // Prevent further mouseup intervention
	        $this.unbind("mouseup");
	        return false;
	    });
	});

});